/** 
 * @defgroup output output
 * output configuration GUI functions
 * @{
 */
 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <getopt.h>
#include <gnome.h>
#include <glade/glade.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/parserInternals.h>
#include <X11/X.h>

#include "prefs.h"
#include "main.h"
#include "gui.h"
#include "sensor.h"
#include "source.h"
#include "output.h"

/** local info structure */
static struct Output
{
    
}out;


/************************** Module **************************/
/**
 * initialize output prefs
 */
int output_init()
{
    
    _VERBOSE2 printf("%s()\n", __func__);
    
    /* clear local structure */
    memset(&out, 0, sizeof(struct Output));

   
    return 0;
}



/** 
 * set output-menu for output type, hide
 * all other output-type menus 
 * @param type - type of output (OUT_TYPE_*)
 */
void output_set_type(int type)
{
        
    if(gui_get_xml())
    {
                               
        if(type < 0) type = 0;
        
        sensor_get()->out_type = type;
        
        sensor_gui_update();
        
    }
    
}


/** 
 * @} 
 */
